summaryrefslogtreecommitdiffstats
path: root/tools/h5repack/h5repack.sh.in
diff options
context:
space:
mode:
authorPedro Vicente Nunes <pvn@hdfgroup.org>2008-05-21 14:53:53 (GMT)
committerPedro Vicente Nunes <pvn@hdfgroup.org>2008-05-21 14:53:53 (GMT)
commit0c40ae2d42f935dcc2d8eed01a4c0e877417ef90 (patch)
tree2213c9b26103452ebc9e8733a7d4a9be2ff161a7 /tools/h5repack/h5repack.sh.in
parente0e2b131eabae83cc7b8c5de14c325dd25fead89 (diff)
downloadhdf5-0c40ae2d42f935dcc2d8eed01a4c0e877417ef90.zip
hdf5-0c40ae2d42f935dcc2d8eed01a4c0e877417ef90.tar.gz
hdf5-0c40ae2d42f935dcc2d8eed01a4c0e877417ef90.tar.bz2
[svn-r15052] Add a test for the 1.6.7 -i infile -o outifle for backward compability
Used the function TOOLTEST from 1.6.7 Tested: linux
Diffstat (limited to 'tools/h5repack/h5repack.sh.in')
-rwxr-xr-xtools/h5repack/h5repack.sh.in37
1 files changed, 37 insertions, 0 deletions
diff --git a/tools/h5repack/h5repack.sh.in b/tools/h5repack/h5repack.sh.in
index 6aeb4fb..77be575 100755
--- a/tools/h5repack/h5repack.sh.in
+++ b/tools/h5repack/h5repack.sh.in
@@ -137,6 +137,34 @@ TOOLTEST()
rm -f $outfile
}
+TOOLTEST0()
+{
+ # Run test.
+ # Tflops interprets "$@" as "" when no parameter is given (e.g., the
+ # case of missing file name). Changed it to use $@ till Tflops fixes it.
+ TESTING $H5REPACK $@
+
+ infile=$srcdir/../testfiles/$1
+ path=`pwd`
+ outfile=$path/out.$1
+ shift
+ if [ "`uname -s`" = "TFLOPS O/S" ]; then
+ $RUNSERIAL $H5REPACK_BIN -i $infile -o $outfile $@
+ else
+ $RUNSERIAL $H5REPACK_BIN -i $infile -o $outfile "$@"
+ fi
+
+ RET=$?
+ if [ $RET != 0 ] ; then
+ echo "*FAILED*"
+ nerrors="`expr $nerrors + 1`"
+ else
+ echo " PASSED"
+ DIFFTEST $infile $outfile
+ fi
+ rm -f $outfile
+}
+
#
# The tests
# We use the files generated by h5repacktst
@@ -453,6 +481,15 @@ else
TOOLTEST $arg
fi
+# syntax of -i infile -o outfile
+# latest file format with short switches. use FILE4=h5repack_layout.h5 (no filters)
+arg="$FILE4 -l CHUNK=20x10 -f GZIP=1 -m 10 -n -L -c 8 -d 6 -s 8[:dtype]"
+if test $USE_FILTER_DEFLATE != "yes" ; then
+ SKIP $arg
+else
+ TOOLTEST0 $arg
+fi
+
if test $nerrors -eq 0 ; then
echo "All $H5REPACK tests passed."